MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029736Community[OCCT] OCCT:Data Exchangepublic2018-05-04 13:552019-07-20 11:55
ReporterBenjaminBihler 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0029736: Data Exchange - Some Warnings During Compound Transfer to IGES Look Dubious
DescriptionThe method BRepToIGESBRep_Entity::TransferCompound issues warning when processing isolated wires, edges and vertices.

The respective lines are

AddWarning(S," a Wire alone is not an IGESBRep entity : no Transfer");

and similar. But these warning seems to stem from older OCCT versions (before 6.9.0). Now the lines directly after the warnings actually perform the transfer. Shouldn't the warnings be removed, therefore?
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0025816closedbugmaster Open CASCADE IGES export - edges within compound are lost if BREP mode (IGES 5.3) is used 

-  Notes
(0085574)
git (administrator)
2019-07-10 21:47

Branch CR29736 has been created by abv.

SHA-1: 5ddb3952724ddfd2c9308e0344353ebcedeb75b7


Detailed log of new commits:

Author: abv
Date: Wed Jul 10 21:45:45 2019 +0300

    0029736: Some Warnings During Compound Transfer to IGES Look Dubious
    
    Incorrect (legacy) warnings during IGES export are removed
(0085597)
abv (manager)
2019-07-11 14:11
edited on: 2019-07-15 15:55

Fix pushed to CR29736 and tested, see Jenkins job CR29736-master-abv. Please review

(0085611)
gka (developer)
2019-07-12 14:07

Branch CR29736 was reviewed
(0085639)
bugmaster (administrator)
2019-07-15 15:55

Combination -
OCCT branch : CR29736
master SHA - 5ddb3952724ddfd2c9308e0344353ebcedeb75b7
32ce09545dc9c46a47a51a964a24b1f472e6c2c4
Products branch : master SHA - 6d555d975ac49f5519dfbbf3873dbbc4a0cadff1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16469.590000000047 / 16486.54000000006 [-0.10%]
Products
Total CPU difference: 10503.130000000045 / 10487.700000000032 [+0.15%]
Windows-64-VC14:
OCCT
Total CPU difference: 17929.984375 / 17846.84375 [+0.47%]
Products
Total CPU difference: 12193.296875 / 12107.109375 [+0.71%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0085834)
git (administrator)
2019-07-20 11:55

Branch CR29736 has been deleted by inv.

SHA-1: 5ddb3952724ddfd2c9308e0344353ebcedeb75b7

- Related Changesets
occt: master bc28da5c
Timestamp: 2019-07-10 18:45:45
Author: abv
Committer: bugmaster
Details ] Diff ]
0029736: Some Warnings During Compound Transfer to IGES Look Dubious

Incorrect (legacy) warnings during IGES export are removed
mod - src/BRepToIGESBRep/BRepToIGESBRep_Entity.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-05-04 13:55 BenjaminBihler New Issue
2018-05-04 13:55 BenjaminBihler Assigned To => gka
2019-07-10 21:41 abv Relationship added child of 0025816
2019-07-10 21:47 git Note Added: 0085574
2019-07-10 21:49 abv Assigned To gka => abv
2019-07-10 21:49 abv Status new => assigned
2019-07-11 14:11 abv Note Added: 0085597
2019-07-11 14:11 abv Assigned To abv => gka
2019-07-11 14:11 abv Status assigned => resolved
2019-07-11 14:11 abv Steps to Reproduce Updated View Revisions
2019-07-12 14:07 gka Note Added: 0085611
2019-07-12 14:07 gka Assigned To gka => bugmaster
2019-07-12 14:07 gka Status resolved => reviewed
2019-07-15 15:54 bugmaster Test case number => Not required
2019-07-15 15:55 bugmaster Note Added: 0085639
2019-07-15 15:55 bugmaster Status reviewed => tested
2019-07-15 15:55 bugmaster Note Edited: 0085597 View Revisions
2019-07-17 10:45 kgv Summary Some Warnings During Compound Transfer to IGES Look Dubious => Data Exchange - Some Warnings During Compound Transfer to IGES Look Dubious
2019-07-20 11:42 bugmaster Changeset attached => occt master bc28da5c
2019-07-20 11:42 bugmaster Status tested => verified
2019-07-20 11:42 bugmaster Resolution open => fixed
2019-07-20 11:55 git Note Added: 0085834


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker